Examplary
Start for free
Developer docs

Update a question

PATCHhttps://api.examplary.ai/exams/{id}/questions/{questionId}

Update fields on a single question. Object fields (settings, scoring, printing, metadata, feedback) are merged into the existing values; other fields are replaced. A question's type can't be changed. Changing scoring re-grades, in the background, all answers to the question that were automatically graded and haven't been graded by a teacher since.

Path parameters

idstringrequired

Exam ID, e.g. `exam_1234`.

questionIdstringrequired

Question ID (e.g. `q_1234`) or the question's `externalId`. Use `first` or `last` to get the first or last question.

Request body

titlestring· nullable

Title for the question (stem)

descriptionstring· nullable

Optional HTML description for the question

settingsobject

Settings to merge into the question's existing settings. Set a key to `null` to remove it.

scoringobject

Scoring configuration to merge into the question's existing scoring.

printingobject

Printing configuration to merge into the question's existing printing.

feedbackobject

Feedback configuration to merge into the question's existing feedback, including nested objects. Set a key to `null` to remove it.

tagsarray string[] | null· nullable

Tags associated with the question for categorization and search

externalIdstring· nullable

Optional external ID for the question, used to link to external systems

metadataobject· nullable

Metadata to merge into the question's existing metadata. Set a key to `null` to remove it.

sectionIdstring· nullable

ID of the exam section this question belongs to

Responses

400 — Validation Error

successbooleanrequired

Allowed values:false

errorarray any[]required
dataanyrequired

429 — Rate limit exceeded

Requirements

Rate limit

60 requests per minute per user.

User roles

This endpoint requires the teacher, admin, or owner role to be present.

OAuth scopes

This endpoint requires the exams:write scope to be present.